mqc_enc.cpp File Reference
`#include "t1_common.h"`
`#include <assert.h>`

## Namespaces

namespace | grk
| Copyright (C) 2016-2023 Grok Image Compression Inc.

## Functions

void | grk::mqc_byteout (mqcoder *mqc)
static void | grk::mqc_renorm_enc (mqcoder *mqc)
static void | grk::mqc_codemps_enc (mqcoder *mqc)
static void | grk::mqc_codelps_enc (mqcoder *mqc)
static void | grk::mqc_setbits_enc (mqcoder *mqc)
uint32_t | grk::mqc_numbytes_enc (mqcoder *mqc)
void | grk::mqc_init_enc (mqcoder *mqc, uint8_t *bp)
void | grk::mqc_encode (mqcoder *mqc, uint32_t d)
void | grk::mqc_flush_enc (mqcoder *mqc)
void | grk::mqc_bypass_init_enc (mqcoder *mqc)
uint32_t | grk::mqc_bypass_get_extra_bytes_enc (mqcoder *mqc, bool erterm)
void | grk::mqc_bypass_flush_enc (mqcoder *mqc, bool erterm)
void | grk::mqc_restart_init_enc (mqcoder *mqc)
void | grk::mqc_erterm_enc (mqcoder *mqc)
void | grk::mqc_segmark_enc (mqcoder *mqc)

## Variables

static const mqc_state | grk::mqc_states [47 *2]